Name:           hddtemp
Version:        0.3
Release:        0.fdr.0.10.beta12.1
Epoch:          0
Summary:        Hard disk temperature tool

Group:          Applications/System
License:        GPL
URL:            http://www.guzu.net/linux/hddtemp.php
Source0:        http://www.guzu.net/linux/hddtemp-0.3-beta12.tar.bz2
Source1:        http://www.guzu.net/linux/hddtemp.db
Source2:        %{name}.init
Source3:        %{name}.sysconfig
Source4:        %{name}.pam
Source5:        %{name}.consoleapp
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{__perl}, gettext
Requires:       /sbin/chkconfig, usermode

%description
hddtemp is a tool that gives you the temperature of your hard drive by
reading S.M.A.R.T. information.


%prep
%setup -q -n %{name}-%{version}-beta12
%{__perl} -pi -e \
  's|/usr/share/misc/hddtemp\.db\b|%{_datadir}/misc/hddtemp.db|' \
  src/db.h doc/hddtemp.8
cp -p %{SOURCE2} ./hddtemp.init
%{__perl} -pi -e \
  's|__ETCDIR__|%{_sysconfdir}|g ;
   s|__SBINDIR__|%{_sbindir}|g ;
   s|__INITDIR__|%{_initrddir}|g ;
   s|__LOCKDIR__|%{_localstatedir}/lock|g' \
  hddtemp.init


%build
%configure --with-db-path=%{_datadir}/misc/hddtemp.db
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_datadir}/misc/hddtemp.db
install -Dpm 755 hddtemp.init \
  $RPM_BUILD_ROOT%{_initrddir}/hddtemp
install -Dpm 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/hddtemp
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/hddtemp
install -Dpm 644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/hddtemp
install -Dpm 644 %{SOURCE5} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/hddtemp
%find_lang %{name}


%post
/sbin/chkconfig --add hddtemp
if [ $1 -gt 1 ]; then
  %{_initrddir}/hddtemp condrestart >/dev/null || :
fi

%preun
if [ $1 -eq 0 ]; then
  %{_initrddir}/hddtemp stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del hddtemp
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO contribs
%config(noreplace) %{_sysconfdir}/sysconfig/hddtemp
%config(noreplace) %{_initrddir}/hddtemp
%config %{_sysconfdir}/pam.d/hddtemp
%config %{_sysconfdir}/security/console.apps/hddtemp
%{_bindir}/hddtemp
%{_sbindir}/hddtemp
%config %{_datadir}/misc/hddtemp.db
%{_mandir}/man8/hddtemp.8*


%changelog
* Sat Oct  2 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.3-0.fdr.0.10.beta12
- Update to 0.3 beta 12 and the latest db.

* Sat Jan  3 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.3-0.fdr.0.10.beta11
- Update to 0.3 beta 11, patches merged upstream.
- Update db (version 03C).

* Sun Dec 21 2003 Ville Skyttä <ville.skytta at iki.fi> 0:0.3-0.fdr.0.10.beta10
- Use mkstemp() to create the backtrace filename (bug 1112).

* Mon Dec 15 2003 Ville Skyttä <ville.skytta at iki.fi> 0:0.3-0.fdr.0.9.beta10
- Update to 0.3 beta 10.

* Sun Dec  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.9.beta9
- Update to 0.3 beta 9 and db version 03B.
- Move db to %%{_datadir}/misc to follow upstream.

* Sun Nov 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.9.beta8
- Use GUI=no in console.apps/hddtemp to avoid broken pipe messages.

* Thu Oct 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.8.beta8
- Update db (version 039).
- Specfile cleanups.

* Thu Aug 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.7.beta8
- Make daemon bind to 127.0.0.1 by default (bug 550).
- db is %%config again, still in %%{_datadir}/hddtemp (cf. hwdata) (bug 550).
- Init script cleanups (bug 550).
- Use chkconfig instead of LSB install/remove_initd until the script is LSB'd.

* Tue Aug 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.6.beta8
- Update to 0.3 beta 8.
- Move database to %%{_datadir}/hddtemp, it's not a config file.

* Sat Aug  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.5.beta7
- Use pam/consolehelper, grant local users access to hddtemp.
- Update db (version 036).

* Sat Jul 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.4.beta7
- Moved service condrestart to %%post in order to be able to cleanly upgrade
  from previous Fedora releases (bug 382).
- More init script cleanups according to new template.

* Fri Jun 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.3.beta7
- Update db (version 033), forgot it from 0.fdr.0.2.beta7.

* Tue Jun 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.2.beta7
- Update to 0.3beta7.
- Use %%{_initrddir} instead of %%{_sysconfdir}/init.d.
- Spec file and init script cleanups.

* Sun Apr 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.2.beta6
- Update db (version 02B).
- Save .spec in UTF-8.

* Fri Apr  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.1.beta6
- Update to 0.3beta6, new db.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.1.beta5
- Update to 0.3beta5 and current Fedora guidelines.
- Use LSB initd stuff instead of RH-specific.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.beta3.fedora.1
- First Fedora release.
